//
//  MyApplicationListHttpCmd.m
//  MobilePortal
//
//  Created by xiejiangbo on 2019/10/28.
//  Copyright © 2019 yin chen. All rights reserved.
//

#import "MyApplicationListHttpCmd.h"
#import "MyApplicationListHttpResult.h"

static NSString *kActionUrl1 = @"/appMobile/myChoice";

@implementation MyApplicationListHttpCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MyApplicationListHttpCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MyApplicationListHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpMyApplicationListHttpCmd_empid = @"empid";
NSString *const kHttpMyApplicationListHttpCmd_type = @"type";
NSString *const kHttpMyApplicationListHttpCmd_companyname = @"companyname";
NSString *const kHttpMyApplicationListHttpCmd_system = @"system";
